@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Public+Sans:wght@100..900&display=swap");
/* ------------------------------
    mixin
------------------------------ */
/* ------------------------------
    reset
------------------------------ */
html {
  font-size: 62.5%;
  overflow-y: scroll;
}
@media screen and (max-width: 1440px) {
  html {
    font-size: 0.6944444444vw;
  }
}
@media screen and (max-width: 767px) {
  html {
    font-size: 2.2222222222vw;
  }
}

*, *::before, *::after {
  box-sizing: border-box;
}

body, h1, h2, h3, h4, h5, h6, p, address, time,
ul, ol, li, dl, dt, dd,
table, th, td, img, figure, figcaption,
form, input, button, textarea, select {
  margin: 0;
  padding: 0;
  border: none;
  line-height: 100%;
  list-style-type: none;
  font-style: normal;
  font-weight: normal;
  font-family: "Public Sans", sans-serif;
  overflow-wrap: anywhere;
  word-break: normal;
  line-break: strict;
  -webkit-text-size-adjust: 100%;
}

input, button, textarea, select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: none;
  border-radius: 0;
  resize: none;
  outline: none;
  background: none;
}

select::-ms-expand {
  display: none;
}

button:hover {
  cursor: pointer;
}

a {
  color: #000;
  text-decoration: none;
}
@media screen and (min-width: 768px) {
  a {
    transition: opacity 0.3s ease;
  }
  a:hover {
    opacity: 0.6;
    cursor: pointer;
  }
}

img, object, picture, svg {
  vertical-align: bottom;
  max-width: 100%;
  height: auto;
}

/* ------------------------------
    base
------------------------------ */
html, body {
  min-height: 100vh;
}

body {
  color: #000;
  font-size: 1rem;
  text-align: left;
  display: flex;
  flex-direction: column;
}

section {
  position: relative;
}

main {
  flex: 1 1 auto;
}

.wrap {
  width: 90%;
  max-width: 132rem;
  padding: 0;
  margin: 0 auto;
  position: relative;
}

p, th, td, dt, dd, li, input, button, textarea {
  font-size: 1.6rem;
  line-height: 1.8;
}

.tal {
  text-align: left;
}

.tac {
  text-align: center;
}

.tar {
  text-align: right;
}

.bold, strong {
  font-weight: bold;
}

.is-fixed {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

@media screen and (min-width: 768px) {
  .fade {
    transition: opacity 0.3s ease;
  }
  .fade:hover {
    opacity: 0.6;
    cursor: pointer;
  }
  a[href*="tel:"] {
    pointer-events: none;
    cursor: default;
    text-decoration: none;
  }
}
@media screen and (max-width: 767px) {
  body {
    min-width: inherit;
  }
  input, textarea, select, .select {
    font-size: max(1.6rem, 16px) !important;
  }
}
/* ------------------------------
    header
------------------------------ */
#header {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 1000;
}
#header .wrap {
  max-width: inherit;
  width: 100%;
  height: 8rem;
  padding: 0 1.5rem 0 3rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 0.5px solid #fff;
}
#header .logo_wrap {
  flex-grow: 1;
}
#header .logo_wrap img._green {
  display: none;
}
#header #header_nav .nav {
  display: flex;
  justify-content: right;
  gap: 1em;
}
#header #header_nav .nav > li > a {
  color: #0F292B;
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  padding: 0 1em;
}
#header .overlay {
  display: block;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
  z-index: 997;
}
#header .overlay.is-active {
  opacity: 1;
  pointer-events: auto;
}
#header {
  transition: translate 0.3s ease;
}
#header .wrap, #header .logo_wrap {
  transition: background 0.3s ease, backdrop-filter 0.3s ease;
}
#header.is-hidden {
  translate: 0 -100%;
}
@media screen and (min-width: 768px) {
  #header.is-scrolled .wrap {
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(10px);
  }
}

@media screen and (max-width: 767px) {
  #header,
  #header .wrap,
  #header .logo_wrap {
    width: 100%;
    height: 60px;
  }
  #header {
    background-color: transparent;
    position: fixed;
    top: 0;
    left: 0;
    padding: 0;
    margin: 0;
    z-index: 999;
  }
  #header .wrap {
    padding: 0;
    display: block;
    position: relative;
    min-width: inherit;
  }
  #header .logo_wrap {
    display: flex;
    align-items: center;
    position: relative;
    z-index: 998;
    padding: 0;
  }
  #header .logo_wrap .logo {
    padding-left: 3vw;
  }
  #header .logo_wrap .logo img {
    width: 180px;
    height: auto;
  }
  #header .logo_wrap .logo img._white {
    display: none;
  }
  #header .logo_wrap .logo img._green {
    display: inline;
  }
  #header .menu-trigger {
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    right: 0;
    width: 60px;
    height: 60px;
    z-index: 999;
  }
  #header .menu-trigger .ico {
    width: 25px;
    height: 25px;
    position: relative;
  }
  #header .menu-trigger .ico::after {
    content: "";
    position: absolute;
    left: -5px;
    top: -5px;
    width: 18px;
    height: 18px;
    background: url("../img/common/line_circle.png") no-repeat center/contain;
  }
  #header .menu-trigger .ico span {
    display: inline-block;
    transition: all 0.4s;
    position: absolute;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: #000;
  }
  #header .menu-trigger .ico span:nth-of-type(1) {
    top: 15%;
  }
  #header .menu-trigger .ico span:nth-of-type(2) {
    top: 50%;
    transform: translateY(-50%);
  }
  #header .menu-trigger .ico span:nth-of-type(3) {
    bottom: 15%;
  }
  #header #header_nav {
    width: 75%;
    height: 100%;
    opacity: 0;
    padding: 0;
    position: fixed;
    right: 0;
    top: 0;
    overflow-y: auto;
    max-height: 100%;
    transform: translateX(100%);
    transition: transform 0.3s, opacity 1s;
    z-index: 998;
  }
  #header #header_nav::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(10px);
  }
  #header #header_nav .inner {
    background: rgba(30, 81, 85, 0.8);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    position: relative;
    margin: 0;
    padding: 12rem 0 0;
    text-align: center;
  }
  #header #header_nav .inner .nav {
    margin: 0 auto;
    display: inline-flex;
    flex-direction: column;
  }
  #header #header_nav .inner .nav > li {
    display: block;
    height: auto;
    position: relative;
  }
  #header #header_nav .inner .nav > li > a {
    background: transparent;
    display: block;
    position: relative;
    text-align: left;
    padding: 1em;
    color: #fff;
  }
  #header.is-open .menu-trigger .ico span {
    background: #fff;
  }
  #header.is-open .menu-trigger .ico span:nth-of-type(1) {
    top: 50%;
    transform: translateY(-50%) rotate(-45deg);
  }
  #header.is-open .menu-trigger .ico span:nth-of-type(2) {
    opacity: 0;
  }
  #header.is-open .menu-trigger .ico span:nth-of-type(3) {
    bottom: 50%;
    transform: translateY(50%) rotate(45deg);
  }
  #header.is-open #header_nav {
    opacity: 1;
    transform: translateX(0);
    transition: transform 0.3s, opacity 0s;
  }
  #header.is-scrolled .logo_wrap {
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(10px);
  }
}
/* ------------------------------
    footer
------------------------------ */
#footer {
  background: linear-gradient(to bottom, #1E5155, #0F292B 20rem);
  padding: 10rem 0 6rem;
  position: relative;
  overflow: hidden;
}
@media screen and (max-width: 767px) {
  #footer {
    background: linear-gradient(to bottom, #1E5155, #0F292B 30rem);
    padding-top: 15rem;
  }
  #footer .wrap {
    padding-bottom: 20rem;
  }
}
#footer .bg {
  position: absolute;
  right: -4rem;
  bottom: -6rem;
  width: 54rem;
  pointer-events: none;
}
@media screen and (max-width: 767px) {
  #footer .bg {
    width: 45rem;
    right: -7vw;
  }
}
#footer .logo {
  margin: 0 -5vw 20rem;
}
@media screen and (max-width: 767px) {
  #footer .logo {
    margin: 0 -3vw 4rem;
  }
}
#footer .logo a {
  display: block;
}
#footer .logo img {
  width: 100%;
}
#footer .office a {
  color: #fff;
}
#footer .office .ttl {
  font-size: 2.4rem;
  letter-spacing: 0.03em;
}
@media screen and (max-width: 767px) {
  #footer .office .ttl {
    font-size: 2rem;
  }
}
#footer .office .address {
  font-size: 2.4rem;
  letter-spacing: 0.03em;
  position: relative;
  padding-left: 1.5em;
}
@media screen and (max-width: 767px) {
  #footer .office .address {
    font-size: 2rem;
    margin-top: 0.5em;
  }
}
#footer .office .address .ico {
  display: inline-block;
  width: 1em;
  height: 1.2em;
  position: absolute;
  left: 0;
  top: -0.2em;
}
#footer .office .address .ico img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

/* ------------------------------
    スクロールアニメーション
------------------------------ */
*[data-scroll=fade-top] {
  transition: opacity 0.6s, transform 0.6s;
  opacity: 0;
  transform: translateY(3rem);
}

*[data-scroll=fade-bottom] {
  transition: opacity 0.6s, transform 0.6s;
  opacity: 0;
  transform: translateY(-3rem);
}

*[data-scroll=fade-top].scroll-show,
*[data-scroll=fade-bottom].scroll-show {
  opacity: 1;
  transform: translateY(0);
}

*[data-scroll=laser] {
  display: inline-block;
  padding-bottom: 15px;
  position: relative;
}
*[data-scroll=laser]::before {
  content: "";
  position: absolute;
  right: 0;
  bottom: 7px;
  width: 0;
  height: 1px;
  translate: 3px 0;
  background: linear-gradient(to left, transparent, #F2FF79);
  transition: width 0.8s cubic-bezier(0.1, 0, 0.1, 1);
}
*[data-scroll=laser]::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 100%;
  width: 15px;
  height: 15px;
  background: url("../img/common/line_circle.png") no-repeat left center/contain;
  opacity: 0;
  scale: 0.5 0.5;
  transition: left 0.8s cubic-bezier(0.1, 0, 0.1, 1), opacity 0.1s linear, scale 0.8s linear;
}
*[data-scroll=laser].scroll-show::before {
  width: 100%;
}
*[data-scroll=laser].scroll-show::after {
  left: 0;
  opacity: 1;
  scale: 1 1;
}

*[data-scroll=fade] {
  opacity: 0;
  transition: opacity 1s ease;
}
*[data-scroll=fade].scroll-show {
  opacity: 1;
}

*[data-scroll=blur] {
  opacity: 0;
  filter: blur(10px);
  transform: translateY(10px);
  transition: opacity 0.5s ease, filter 0.8s ease, transform 0.5s ease;
}
*[data-scroll=blur].scroll-show {
  opacity: 1;
  filter: blur(0);
  transform: translateY(0);
}

/* ------------------------------
    responsive
------------------------------ */
@media screen and (min-width: 960px) {
  .pc-none {
    display: none !important;
  }
}
@media screen and (min-width: 768px) {
  .sp {
    display: none !important;
  }
}
@media screen and (max-width: 959px) {
  .tb-none {
    display: none !important;
  }
  .pc {
    display: none !important;
  }
}
@media screen and (max-width: 767px) {
  .sp-none {
    display: none !important;
  }
}
/* ------------------------------
    clearfix
------------------------------ */
.cf {
  zoom: 1;
}
.cf::after {
  content: " ";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
  overflow: hidden; /* 隙間対応 */
  font-size: 0.1em; /* 隙間対応 */
  line-height: 0; /* 隙間対応 */
}
